%define name berry-kde-config
%define version 0.02
%define release b1

Name:		%{name}
Summary:	Berry Linux configuration for KDE
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Menu structure and icons for the KDE/GNOME Berry menu.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
install -m 755 -d %{buildroot}/usr/share/applnk-redhat/Berry
install -m 644 Berry.directory %{buildroot}/usr/share/applnk-redhat/Berry/.directory
install -m 755 -d %{buildroot}/usr/share/applnk-redhat/Berry/Config
install -m 644 Config.directory %{buildroot}/usr/share/applnk-redhat/Berry/Config/.directory

install -m 755 -d %{buildroot}/etc/skel/.kde/share/apps/konqueror
install -m 644 skel/.kde/share/apps/konqueror/bookmarks.xml %{buildroot}/etc/skel/.kde/share/apps/konqueror/
install -m 755 -d %{buildroot}/etc/skel/.kde/share/config
install -m 644 skel/.kde/share/config/kcminputrc %{buildroot}/etc/skel/.kde/share/config/
install -m 644 skel/.kde/share/config/kdeglobals %{buildroot}/etc/skel/.kde/share/config/
install -m 644 skel/.kde/share/config/kickerrc %{buildroot}/etc/skel/.kde/share/config/


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/usr/share/applnk-redhat/Berry/.directory
/usr/share/applnk-redhat/Berry/Config/.directory
/etc/skel/.kde/share/apps/konqueror/*
/etc/skel/.kde/share/config/*


##
## change log
##

%changelog
* Wed Sep 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added kickerrc
* Fri Jul 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
